%Simulation of a linear motor/generator
clear all

kinternal=500 ;         % [N/m]     Equivalent mechanical spring  
BMagnet=0.4;          % [Tesla]   Flux density, rotor 
dm=0.062;               %Mean coil diameter
%dm=0.0476;              % Diameter of rotor chamber 
l = 0.04;               %Length of smal machine coil
N=120;                   % Turns of stator coil 
mp=1.68;                % mass of piston/rotor 
fricp=0.001;            % friction constant between piston and stator 
R=0.4;                  % Resistance of coil 
L_HypPhy=((4*pi)*1e-7*(N^2)*pi*((dm/2)^2))/0.04 %HyperPhysics
L_IN3OTD = (dm^2*N^2) / (l + 0.45*dm) %formula is accurate within 1 % for l>0.4d IN3OTD's web site
L = 0.000682;           %From FEM calculations

 %% The Gas Spring
 
P0 =5;                 %Pressure [bar]
Area = pi*(0.0476/2)^2;  %Area of the pistn [m^2]
gas_const= 1.4;         %Gas constant (Nitrogen/Air = 1.4)
Length_camber = 0.055;   %[m]
 